GDB (xrefs)

Public Attributes | List of all members
ppc_debug_info Struct Reference

## Public Attributes
uint32_t | version
uint32_t | num_instruction_bps
uint32_t | num_data_bps
uint32_t | num_condition_regs
uint32_t | data_bp_alignment
uint32_t | sizeof_condition
uint64_t | features

## Detailed Description

Definition at line 75 of file ppc-linux-nat.c.

## Member Data Documentation

## ◆ data_bp_alignment

uint32_t ppc_debug_info::data_bp_alignment

Definition at line 81 of file ppc-linux-nat.c.

Referenced by ppc_linux_region_ok_for_hw_watchpoint().

## ◆ features

uint64_t ppc_debug_info::features

Definition at line 83 of file ppc-linux-nat.c.

Referenced by create_watchpoint_request(), ppc_linux_masked_watch_num_registers(), ppc_linux_ranged_break_num_registers(), ppc_linux_region_ok_for_hw_watchpoint(), and VEC().

## ◆ num_condition_regs

uint32_t ppc_debug_info::num_condition_regs

Definition at line 80 of file ppc-linux-nat.c.

Referenced by can_use_watchpoint_cond_accel(), create_watchpoint_request(), ppc_linux_can_accel_watchpoint_condition(), and VEC().

## ◆ num_data_bps

uint32_t ppc_debug_info::num_data_bps

Definition at line 79 of file ppc-linux-nat.c.

Referenced by ppc_linux_can_use_hw_breakpoint(), and VEC().

## ◆ num_instruction_bps

uint32_t ppc_debug_info::num_instruction_bps

Definition at line 78 of file ppc-linux-nat.c.

Referenced by ppc_linux_can_use_hw_breakpoint(), and VEC().

## ◆ sizeof_condition

uint32_t ppc_debug_info::sizeof_condition

Definition at line 82 of file ppc-linux-nat.c.

Referenced by calculate_dvc().

## ◆ version

uint32_t ppc_debug_info::version

Definition at line 77 of file ppc-linux-nat.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ppc-linux-nat.c